Skip to main content

Create Prospect

POSThttps://api.propexo.com/crm/v1/prospects/

Create a prospect for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    community_idstring

    The Propexo unique identifier for the community

    prospect_sourcestring

    The name of the source of the lead

    email_1string

    The primary email address associated with the prospect

    phone_1string

    Primary phone number associated with the prospect

    first_namestring

    The first name associated with the prospect

    last_namestring

    The last name associated with the prospect

    move_in_datestring

    The move-in date associated with the prospect

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    rent_minimum_in_centsinteger

    The minimum rent of the prospect

    Possible values: >= 1

    rent_maximum_in_centsinteger

    The maximum rent of the prospect

    Possible values: >= 1

    notesstring

    Notes associated with the prospect

    desired_num_bedroomsinteger[]

    The number of bedrooms associated with the prospect. RentCafe only takes a single value for the desired bedrooms. All values other than the first are ignored. This is for compatibility with the other CRM endpoints.

    lease_term_in_monthsinteger

    The amount of months for the lease term

    Possible values: >= 1 and <= 18

    phone_2string

    Secondary phone number associated with the prospect

    petsstring[]

    A list of pets related to the prospect

    Show 3 enum values
    SMALL_DOGLARGE_DOGCAT
    attribution_idstring

    The Propexo unique identifier for the attribution

    agent_idstring

    The Propexo unique identifier for the agent

    address_1string

    The first address line associated with the prospect

    Possible values: <= 40 characters

    citystring

    The city associated with the prospect

    Possible values: <= 30 characters

    statestring

    The state associated with the prospect

    Possible values: <= 4 characters

    zipstring

    The zip code associated with the prospect

    Possible values: <= 12 characters

    number_of_occupantsinteger

    The number of occupants living in the unit

    Possible values: > 0

    subscribeboolean

    Whether or not to subscribe the prospect to automated Rentcafe email messaging.

    first_contact_typestring

    The type of initial contact with the prospect

    Show 9 enum values
    CALLCHATEMAILFACEBOOKFORMINTERNETKNOCK_SCHEDULESMSWALK_IN
    middle_namestring

    The middle name associated with the prospect

    address_2string

    The second address line associated with the prospect

    Possible values: <= 40 characters

    countrystring

    The country associated with the prospect

    Possible values: <= 2 characters

    preferred_contact_methodstring

    The way the prospect prefers to be contacted

    Show 4 enum values
    NONECALLTEXTEMAIL

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /crm/v1/prospects/
curl -X POST https://api.propexo.com/crm/v1/prospects/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}